---
layout: post
title: "New Tor Browser Bundles with Firefox 17.0.10esr"
permalink: new-tor-browser-bundles-firefox-17010esr
date: 2013-11-01
author: erinn
category: blog
tags: ["firefox updates", "tbb", "torbrowser"]
---

[Firefox 17.0.10esr](https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html#firefox17.0.10) has been released with several security fixes and all of the Tor Browser Bundles have been updated. All users are encouraged to upgrade.

[https://www.torproject.org/projects/torbrowser.html.en#downloads](https://www.torproject.org/projects/torbrowser.html.en#downloads "https://www.torproject.org/projects/torbrowser.html.en#downloads")

**Tor Browser Bundle (2.3.25-14)**

- Update Firefox to 17.0.10esr  
 [https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html#f...](https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html#firefox17.0.10 "https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html#firefox17.0.10")
- Update LibPNG to 1.6.6
- Update NoScript to 2.6.8.4
- Update HTTPS-Everywhere to 3.4.2
- Firefox patch changes:

  - Hide infobar for missing plugins. (closes: #9012)
  - Change the default entry page for the addons tab to the installed addons page. (closes: #8364)
  - Make flash objects really be click-to-play if flash is enabled. (closes: #9867)
  - Make getFirstPartyURI log+handle errors internally to simplify caller usage of the API. (closes: #3661)
  - Remove polipo and privoxy from the banned ports list. (closes: #3661)
  - misc: Fix a potential memory leak in the Image Cache isolation
  - misc: Fix a potential crash if OS theme information is ever absent

**Tor Browser Bundle (2.4.17-rc-1)**

- Update Firefox to 17.0.10esr  
 [https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html#f...](https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html#firefox17.0.10 "https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html#firefox17.0.10")
- Update LibPNG to 1.6.6
- Update NoScript to 2.6.8.4
- Downgrade HTTPS-Everywhere to 3.4.2 in preparation for this becoming the stable bundle
- Firefox patch changes:

  - Hide infobar for missing plugins. (closes: #9012)
  - Change the default entry page for the addons tab to the installed addons page. (closes: #8364)
  - Make flash objects really be click-to-play if flash is enabled. (closes: #9867)
  - Make getFirstPartyURI log+handle errors internally to simplify caller usage of the API. (closes: #3661)
  - Remove polipo and privoxy from the banned ports list. (closes: #3661)
  - misc: Fix a potential memory leak in the Image Cache isolation
  - misc: Fix a potential crash if OS theme information is ever absent

